> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reverieinc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Key Features

### `domain`

The Domain refers to the universe in which you use the Transliteration API. Example- Health Care, Insurance, Legal, etc. Refer to [Supporting Domain](https://docs.reverieinc.com/usage-guides/transliteration/supported-domains.md) to see the available domains.

**For Example**:

```bash generic theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'cnt_lang: en' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Reverie Language Technologies ltd website address is www.reverieinc.com"],

}'
```

```bash bfsi theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 6' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Reverie Language Technologies ltd website address is www.reverieinc.com"],
}'
```

### `cnt_lang`

The language of the words in the input text. Example -“data”: “Singh Sahab aap Kahan the.” In the example above, the Hindi language words are written in the English language script (Roman Script). So cnt\_lang = “hi” This is an optional parameter. If no value is provided, by default the value is the same as src\_lang.

**For Example**:

```bash cnt_lang = en theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'cnt_lang: en' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Reverie Language Technologies ltd website address is www.reverieinc.com"],
}'
```

### `isBulk`

Specify whether the API should initially search in the Exception DB to transliterate the input text. Note: By default, the isBulk= true and will not search in the Exception DB.

**For Example**:

```bash isBulk = true theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Reverie Language Technologies ltd website address is www.reverieinc.com"],
"isBulk" :true,
}'
```

```bash isBulk = false theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Reverie Language Technologies ltd website address is www.reverieinc.com"],
"isBulk" :false,
}'
```

### `noOfSuggestions`

Mention the number of transliteration suggestions the API should return for the input text. Note: By default, the noOfSuggestions = 1, means the API will return only one transliteration suggestion for the input string.

**For Example**:

```bash noOfSuggestions = 1 theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Rama"],
"noOfSuggestions" :1,
}'
```

```bash noOfSuggestions = 2 theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Rama"],
"noOfSuggestions" :2,
}'
```

**Response**

```json noOfSuggestions = 1 theme={null}
{
	"responseList": [
    	{
        	"inString": "Rama",
        	"outString": [
            	"रामा"
        	],
        	"status": 2
    	}
   ]
}
```

```json noOfSuggestions = 2 theme={null}
{
	"responseList": [
    	{
        	"inString": "Rama",
        	"outString": [
            	"रामा",
              "रमा"
        	],
        	"status": 2
    	}
   ]
}
```

### `abbreviate`

The abbreviate will Validate whether any Abbreviations/ Acronyms are passed in the input text and will transliterate it accurately. Note - By default, the abbreviate = true. Note - if the value is false, the API will consider the abbreviation as a word and transliterate it to the nearest available word. Note - In the input text, pass the abbreviations in upper case.

**For Example**:

```bash abbreviate = true theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Rama"],
"abbreviate" :true,
}'
```

```bash abbreviate = false theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Rama"],
"abbreviate" :false,
}'
```

### `convertNumber`

Specify whether to convert the numbers in the input text to the target language script based on the value type.

* Three types of values for this parameter:
  * local: This value can convert the input number to the target language script.\
    Example:
    | Source String | Target String |
    | - | - |
    | 2020.04 | २०२०.०४ |
  * words: This value can convert numbers into words with respect to the target language.\
    Example:
    | Source String | Target String |
    | - | - |
    | 505 | पांच सौ पांच |
  * roman: This value can convert Roman numbers to English numbers.\
    Example:
    * If the user types `sector V` in English, the transliteration would be `सेक्टर 5` in Hindi.
    * `Block II` will be transliterated as `ब्लॉक 2`.

**For Example**:

```bash convertNumber = local theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["2020.04"],
"convertNumber" : "local",
}'
```

```bash convertNumber = words theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["505"],
"convertNumber" : "words",
}'
```

```bash convertNumber = roman theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["sector V"],
"convertNumber" : "roman",
}'
```

**Response**

```json convertNumber = local theme={null}
{
	"responseList": [
    	{
        	"inString": "2020.04",
        	"outString": [
            	"२०२०.०४"
        	],
        	"status": 2
    	}
   ]
}

```

```json convertNumber = words theme={null}
{
	"responseList": [
    	{
        	"inString": "505",
        	"outString": [
            	"पांच सौ पांच"
        	],
        	"status": 2
    	}
   ]
}

```

```json convertNumber = roman theme={null}
{
	"responseList": [
    	{
        	"inString": "sector V",
        	"outString": [
            	"सेक्टर 5"
        	],
        	"status": 2
    	}
   ]
}

```

### `ignoreTaggedEntities`

Specify whether you want to retain the entities like email ID and URL in the input script. Note: By default, the ignoreTaggedEntities = true and will transliterate the email ID and URL into the target language script.

**For Example**:

```bash ignoreTaggedEntities = true theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Check product details in www.reverieinc.com"],
"ignoreTaggedEntities" :true,
}'
```

```bash ignoreTaggedEntities = false theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["Check product details in www.reverieinc.com"],
"ignoreTaggedEntities" :false,
}'
```

**Response**

```json ignoreTaggedEntities = true theme={null}
{
	"responseList": [
    	{
        	"inString": "Check product details in www.reverieinc.com",
        	"outString": [
            	"चेक प्रोडक्ट डिटेल्स इन डब्ल्युडब्ल्युडब्ल्यु.रेवरीइंक.कॉम"
        	],
        	"status": 2
    	}
   ]
}
```

```json ignoreTaggedEntities = false theme={null}
{
	"responseList": [
    	{
        	"inString": "Check product details in www.reverieinc.com",
        	"outString": [
            	"चेक प्रोडक्ट डिटेल्स इन www.reverieinc.com"
        	],
        	"status": 2
    	}
   ]
}
```

### `convertOrdinal`

This is used for transliterating ordinal values to English numbers. Note - Default value = False

**For Example**:

```bash convertOrdinal = true theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["15th Main"],
"convertOrdinal" :true,
}'
```

```bash convertOrdinal = false theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["15th Main"],
"convertOrdinal" :false,
}'
```

**Response**

```json convertOrdinal = true theme={null}
{
	"responseList": [
    	{
        	"inString": "15th Main",
        	"outString": [
            	"15 मेन"
        	],
        	"status": 2
    	}
   ]
}
```

```json convertOrdinal = false theme={null}
{
	"responseList": [
    	{
        	"inString": "15th Main",
        	"outString": [
            	"फिफ्टीन्थ मेन"
        	],
        	"status": 2
    	}
   ]
}
```

### `abbreviationWithoutDot`

This is used to produce the abbreviation output without a dot. Note - Default value = False

**For Example**:

```bash abbreviationWithoutDot = true theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["SMS"],
"abbreviationWithoutDot" :true,
}'
```

```bash abbreviationWithoutDot = false theme={null}
curl --location --request POST 'https://revapi.reverieinc.com/' \
--header 'Content-Type: application/json' \
--header 'REV-API-KEY: <YOUR API-KEY>' \
--header 'REV-APP-ID: <YOUR APP-ID>' \
--header 'src_lang: en' \
--header 'tgt_lang: hi' \
--header 'domain: 1' \
--header 'REV-APPNAME: transliteration' \
--data-raw '{"data": ["SMS"],
"abbreviationWithoutDot" :false,
}'
```

**Response**

```json abbreviationWithoutDot = true theme={null}
{
	"responseList": [
    	{
        	"inString": "SMS",
        	"outString": [
            	"एसएमएस"
        	],
        	"status": 2
    	}
   ]
}
```

```json abbreviationWithoutDot = false theme={null}
{
	"responseList": [
    	{
        	"inString": "SMS",
        	"outString": [
            	"एस.एम.एस."
        	],
        	"status": 2
    	}
   ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.